Update www.kde.org to this decade
Open, Needs TriagePublic

Description

Update pages on www.kde.org to use the new theme so they don't look like they're from the 2000s and remove pages which are obviously cruft (replace with redirects).

Related Objects

StatusAssignedTask
OpenNone
OpenNone
GB_2 added a subscriber: GB_2.Dec 3 2018, 10:53 PM

This page needs to be updated too: https://www.kde.org/screenshots/

In T10152#169345, @GB_2 wrote:

This page needs to be updated too: https://www.kde.org/screenshots/

OMG. But is that linked from anywhere? Google suggests it's not which means it can probably just be scrapped.

GB_2 added a comment.Dec 3 2018, 11:00 PM

The UserBase wiki links to it.

In T10152#169348, @GB_2 wrote:

The UserBase wiki links to it.

OMG

https://www.kde.org/community/awards/ ported to new theme, although really it should be scrapped

kde.org/events is overengineered nonsense which doesn't seem to be useful, I'd like to forward it to https://phabricator.kde.org/calendar/

And https://www.kde.org/stuff/buttons.php should be scrapped and forwarded to clipart.php (for lack of anywhere better). The buttons themselves should stay incase there are external sites using them.

I wonder if this is still used
https://www.kde.org/mirrors/ftp_howto.php

My attempt to port applications/ to new theme failed, there's some other magic at work there to include the classes that I can't see
https://www.kde.org/applications/index-test.php

www.kde.org/mirrors/ftp_howto.php updated (it's not used from www.kde.org but is from download.kde.org)
https://www.kde.org/applications/index-test.php test page with new theme but I don't know how the app pages are generated
www.kde.org/stuff/buttons.php is out of date, make it redirect to clipart

https://www.kde.org/applications/ updated
also it turned out there were two cookie banners but only 1 worked because Javascript was broken. I fixed the Javascript and removed one of the banners.

GB_2 added a comment.EditedDec 4 2018, 2:04 PM

https://www.kde.org/appliactions/ got ported to the new theme, but it still has many outdated apps, images and icons. Wouldn't it be better to use https://userbase.kde.org/Applications instead?

In T10152#169393, @GB_2 wrote:

https://www.kde.org/appliactions/ got ported to the new theme, but it still has many outdated apps, images and icons. Wouldn't it be better to use https://userbase.kde.org/Applications instead?

Baby steps!
I think it's useful to have official pages for our apps on www.kde.org but yes it does need maintinance.

In T10152#169393, @GB_2 wrote:

https://www.kde.org/appliactions/ got ported to the new theme, but it still has many outdated apps, images and icons. Wouldn't it be better to use https://userbase.kde.org/Applications instead?

Baby steps!
I think it's useful to have official pages for our apps on www.kde.org but yes it does need maintinance.

Please no. The idea is to generate the content of /applications/ from the appdata files and other resources. The wiki is not good for consistency.
Please check the past discussions on kde-www.

GB_2 added a comment.Dec 4 2018, 2:13 PM

Ok...
Can we contribute to the applications page to help update it?

ngraham added a subscriber: sitter.Dec 4 2018, 2:48 PM

Please no. The idea is to generate the content of /applications/ from the appdata files and other resources. The wiki is not good for consistency.
Please check the past discussions on kde-www.

If I recall, @sitter pushed some code to do this last year, and it was mostly really great, but unfortunately got reverted because it wasn't quite perfect. It might be a good idea to revisit that effort with an eye towards keeping it in production and fixing whatever issues present themselves.

Fixed aether theme to load Noto font.
https://www.kde.org/download/ theme updated and removed the worst nonsense from the text but it still needs to be made sensible somehow
https://www.kde.org/download/packagepolicy.php now forwards to copy of policy on Policy wiki pages
added link to download page to footer. No point hiding it since we have it and it is the top hit on google.

In T10152#169397, @GB_2 wrote:

Ok...
Can we contribute to the applications page to help update it?

Please do :)
Find me on freenode IRC or Telegram VDG room to chat
https://community.kde.org/Telegram

Before implementing breaking changes, please make sure that the discussion is tracked on a permanent storage system, whatever chat system is used.

Added link to https://www.kde.org/contact/ in footer, it's crap but it's what we have and no point hiding it
https://www.kde.org/info/faq.php (from last millenium) now forwards to https://userbase.kde.org/Asking_Questions (from last decade)
added in /favicon.ico
https://www.kde.org/documentation/userguide/ forwards to userbase
https://www.kde.org/documentation/quickstart/ forwards to userbase
https://www.kde.org/documentation/ new theme, although page is not really used and should probably forward to say /support/

aacid added a subscriber: aacid.Dec 4 2018, 6:38 PM

Personally I think think the new design is ugly and the old one is much nicer. But i guess i should just accept defeat there.

Personally I would have liked if you started a review instead of changing pages unconditionally, seems to be more KDE-development-like

Personally I think the new design "donate box" location is terrible compared than the current one and i fear we'll get much less donations?

Personally I think you should have included the web development mailing list in the subscribers and the websites in the "project tags".

aacid added a comment.Dec 4 2018, 6:45 PM
In T10152#169345, @GB_2 wrote:

This page needs to be updated too: https://www.kde.org/screenshots/

OMG. But is that linked from anywhere? Google suggests it's not which means it can probably just be scrapped.

You can not remove pages without making them link somewhere else, that's uncool in the web world.

aacid added a comment.Dec 4 2018, 6:46 PM

kde.org/events is overengineered nonsense which doesn't seem to be useful, I'd like to forward it to https://phabricator.kde.org/calendar/

I'd really like you to stop saying things are nonsense, it really sends the wrong vibe.

aacid added a comment.Dec 4 2018, 6:47 PM

Why? qtissue contents are defenitely very different than timeline.kde.org

aacid added a comment.Dec 4 2018, 6:50 PM
In T10152#169393, @GB_2 wrote:

https://www.kde.org/appliactions/ got ported to the new theme, but it still has many outdated apps, images and icons. Wouldn't it be better to use https://userbase.kde.org/Applications instead?

No

aacid added a comment.Dec 4 2018, 6:56 PM

Personally I think think the new design is ugly and the old one is much nicer. But i guess i should just accept defeat there.

Now seriously, am i the only one that finds https://www.kde.org/announcements/announce-applications-18.12-rc.php much harder to read than https://www.kde.org/announcements/announce-applications-18.08.3.php ?

I can't say what it is, if the Noto fonts, the white background or what, but in the first one my brain screams STOP READING THIS, while on the second it does not.

I like the new theme, much cleaner. Thanks @jriddell for taking this on, it's been sorely needed.

GB_2 added a comment.Dec 4 2018, 7:05 PM

I also really like the new theme, but this page still needs work: https://www.kde.org/community/donations/index.php

I can't say what it is, if the Noto fonts, the white background or what, but in the first one my brain screams STOP READING THIS, while on the second it does not.

Well, the old one had its problems too, but I agree, the new one isn't perfect yet.

I think the problem with the new one is that line width is unconstrained. Our brains don't like such long lines of text. Capping the width and centering it (like in the old layout) might help.

aacid added a comment.Dec 4 2018, 7:40 PM

Any reason Jason line is of a different color?

Also any reason why the headers row is so to the left?

That table defenitely look better with the old style.

valorie added a subscriber: valorie.Dec 4 2018, 9:05 PM

I see @aacid's point about the announcment pages. The new style *looks* much better to me, but is more difficult to read, because each line is longer. When my eye gets to the end of one line, it is hard to find the beginning of the next line. Because it's more work, my eyes tell the rest of my brain: stop reading this.

For text-heavy pages we may need to adjust the new style to make them easier to read. Of course for now, people can adjust the width of their browser window, but IMO we shouldn't make our readers do that.

Please no. The idea is to generate the content of /applications/ from the appdata files and other resources. The wiki is not good for consistency.
Please check the past discussions on kde-www.

If I recall, @sitter pushed some code to do this last year, and it was mostly really great, but unfortunately got reverted because it wasn't quite perfect. It might be a good idea to revisit that effort with an eye towards keeping it in production and fixing whatever issues present themselves.

extractor https://github.com/apachelogger/kde-applications-appstream
UI https://websvn.kde.org/?view=revision&revision=1512271

The main problems as I recall off the top of my head:

  • I was too opinionated in excluding certain types of apps (unmaintained/* repos comes to mind; there's more though)
  • For the same reason also some fields from the old format didn't get moved into the new format and so overall there was less data
  • Numerous urls broke because the human-made category didn't match the actual category of the appstream data
  • A number of applications had no, bad, or un-crawlable appstream data (I think there's a list in a comment in appstream.rb)

It may also not properly extract data just now due to bitrot and the fact that things were reshuffled on the CI...

The inner workings are fairly straight-forward. It gets a list of all projects from projects.kde.org API, then filters all the ones we have on build.kde.org as well, iters them and grabs the tarball created from the make install result from some server, crawls all the application appdata inside, runs them through appstreamcli to convert them to yaml, then converts that to json and done. Well, almost, projects which are not under CI get their git repo crawled for an actual appstream file as a last ditch effort. That's actually when appstream data is considered not crawlable... if the appdata is configure_file'd through cmake there's no reliable way of knowing what the output is unless it gets CI'd (being the CI fanboy that I am I'd argue that the solution of course is to CI them ;))
On the UI side it mostly changes the data frontend class to be backed by the new appstream json format.

The new design was made and rolled out some 20 months ago, this task is just about completing the rollout. Anyone wanting to revert or remake the new design needs to do it on a different thread.

Update to the stylesheet for specific issues on pages I can add in. Right click -> Inspect Element and play around to see what works.

On announcement pages setting p {max-width: 800px} seems nice. Any better suggestions?

I've not removed any pages without forwarding to more up to date equivalents and several pages I've added back to site links so we aren't hiding them away forgotten by all but everyone who uses Google. Some such as Download page would benefit from more thought on what they should say.

Bits to do:
Update screenshots page and link in
Get the .ics release schedule pointing to equivalent Phab link
Get /events calendar forwarding to Phab calendar

aacid added a comment.Dec 5 2018, 11:07 AM

The new design was made and rolled out some 20 months ago, this task is just about completing the rollout. Anyone wanting to revert or remake the new design needs to do it on a different thread.

Sorry but NO.

The new design was not discussed anywhere, was steam-rolled without any consulation with the interested parties, so now you can't say "this is just completing the rollout".

If you want to be fair, i can revert everything to where it was before the new design was forced on us without any discussion, and then you can start a new thread about the new design, how does that sound to you?

This is not the place to talk about this. kde-community is the better place I should think.

Jon is doing a follow-up to the original redesign. It's entirely unfair to put the original roll-out on him. All he is doing is make everything look consistent in the post-rollout world we live in.

Breeze icons here now thanks @GB_2 https://www.kde.org/applications/
The inability of www team to work in the normal community method is a long term issue (why did a previous iteration pick 14 devs and put their faces on the front page for many years? https://www.kde.org/userpictures/) this design was at least agreed at a sprint. Working out why any other process of decision making on the topic has failed is best done elsewhere.

aacid added a comment.Dec 5 2018, 11:59 AM

This is not the place to talk about this. kde-community is the better place I should think.

kde-www is the better place, but since Jon already posted an email there saying "let's track it in phabricator", now suddenly this is the place to discuss it.

Just as a side note i find it EXTREMELY charming, that you, the very same person that bulldozed the new design without any kind of community involvement, are now is saying "but we should ask the community about the design!!!!!!1"

Jon is doing a follow-up to the original redesign. It's entirely unfair to put the original roll-out on him. All he is doing is make everything look consistent in the post-rollout world we live in.

Well, everything was consistent until he started changing things, the front page used the new design and everything else used the old design (except the Plasma announcements).

aacid added a comment.EditedDec 5 2018, 12:01 PM

Breeze icons here now thanks @GB_2 https://www.kde.org/applications/
The inability of www team to work in the normal community method is a long term issue (why did a previous iteration pick 14 devs and put their faces on the front page for many years? https://www.kde.org/userpictures/) this design was at least agreed at a sprint.

At a Plasma sprint was it? Who is Plasma to decide how KDE webpage looks like?

Working out why any other process of decision making on the topic has failed is best done elsewhere.

Ok, i understand you want me to shut up, please next time don't ask for my blessing/review if you're going to ignore me anyway and tell me stop bothering you.

sitter added a comment.Dec 5 2018, 1:52 PM

This is not the place to talk about this. kde-community is the better place I should think.

kde-www is the better place, but since Jon already posted an email there saying "let's track it in phabricator", now suddenly this is the place to discuss it.

Just as a side note i find it EXTREMELY charming, that you, the very same person that bulldozed the new design without any kind of community involvement, are now is saying "but we should ask the community about the design!!!!!!1"

The reason I am telling you that the grievances should go to the community list and not www is because clearly there is bad blood and you have objections to something that was done by other parts of the community over 2 years ago. Ken has been doing stellar work on the website and been very accommodating in rejiggering in post-roll out. The feedback I've seen has been almost entirely positive, save the odd bug here and there.

I really do not understand why you have to lay into me like that. I've said sorry multiple times, in one instance I've even revert a change when I indeed did as a solo stunt to the decrement of the greater interests at work. What do you want me to do exactly? Are you just going to blow up every time forever more? How are we meant to work in the same community like that? I am sorry that I sponsored Ken's work. I am sorry that you felt left out. I am sorry that I wanted to make things better.

Do you even realize how harsh you sound and how utterly hurtful your behavior is to me? All I do I do for this community is because I love it, all my work comes from a place of love, and what you give me back is conflict, anger and hostility.

extractor https://github.com/apachelogger/kde-applications-appstream
UI https://websvn.kde.org/?view=revision&revision=1512271

The main problems as I recall off the top of my head:

  • I was too opinionated in excluding certain types of apps (unmaintained/* repos comes to mind; there's more though)
  • For the same reason also some fields from the old format didn't get moved into the new format and so overall there was less data
  • Numerous urls broke because the human-made category didn't match the actual category of the appstream data
  • A number of applications had no, bad, or un-crawlable appstream data (I think there's a list in a comment in appstream.rb)

    It may also not properly extract data just now due to bitrot and the fact that things were reshuffled on the CI...

    The inner workings are fairly straight-forward. It gets a list of all projects from projects.kde.org API, then filters all the ones we have on build.kde.org as well, iters them and grabs the tarball created from the make install result from some server, crawls all the application appdata inside, runs them through appstreamcli to convert them to yaml, then converts that to json and done. Well, almost, projects which are not under CI get their git repo crawled for an actual appstream file as a last ditch effort. That's actually when appstream data is considered not crawlable... if the appdata is configure_file'd through cmake there's no reliable way of knowing what the output is unless it gets CI'd (being the CI fanboy that I am I'd argue that the solution of course is to CI them ;)) On the UI side it mostly changes the data frontend class to be backed by the new appstream json format.

I'd really like to revive that and fix the bugs and/or correct the appstream data where required. It was really nice overall.

Albert, let's commit to moving forward and fixing the issues rather than rolling back the whole thing. If we do that, our web design will be half-stuck in the Oxygen era for another 10 years because everyone will be too exhausted to touch it again. We can fix bugs and issues, but let's not throw away valuable work just because it maybe wasn't communicated in the best way.

aacid added a comment.Dec 5 2018, 2:44 PM

This is not the place to talk about this. kde-community is the better place I should think.

kde-www is the better place, but since Jon already posted an email there saying "let's track it in phabricator", now suddenly this is the place to discuss it.

Just as a side note i find it EXTREMELY charming, that you, the very same person that bulldozed the new design without any kind of community involvement, are now is saying "but we should ask the community about the design!!!!!!1"

The reason I am telling you that the grievances should go to the community list and not www is because clearly there is bad blood and you have objections to something that was done by other parts of the community over 2 years ago.

I don't really have objections, i mean i do, but as mentioned before, i have just accepted defeat.

But what i feel is not fair is that when i point out pages like the security and the two donations pages, which have relatively severe regressions i am told that i should not complain to Jon about it because he's just applying the theme, who do i have to complain to then? [1]

I really do not understand why you have to lay into me like that.

Because i am not good at internet discussion. Please accept my apologies.

I've said sorry multiple times, in one instance I've even revert a change when I indeed did as a solo stunt to the decrement of the greater interests at work.

You did the right thing by reverting the kde.org/applications/ change that had regressions and had not had community discussion, i greatly appreciate that.

Are you just going to blow up every time forever more?

I hope not.

How are we meant to work in the same community like that?

I will try to be more careful in my answers.

I am sorry that I sponsored Ken's work. I am sorry that you felt left out.

I accept your apologies for having commited Ken's work without community discussion.

I am sorry that I wanted to make things better.

Don't do this, it's most probably not what you want to say, but a sentence like this one implicitly says "i wanted to make things better and you didn't let me"

Do you even realize how harsh you sound and how utterly hurtful your behavior is to me?

I have now, as said i will think how can i make it so that this doesn't happen in the future. You have my word.

All I do I do for this community is because I love it,

That makes two of us :)

all my work comes from a place of love, and what you give me back is conflict, anger and hostility.

Third apology, i'm sorry my complaints about the design style came of as anger and hostility towards you.

[1] This is a rethoritcal question, please don't asnwer, or at least not to me since given my bad attitude in this thread i will refrain from further comments, it's the only obvious way i can think of of removing my negativity from the thread (besides the apologizing i've already done)

https://phabricator.kde.org/T10155 request to stop releaseschedule.ics cron and replace with forward to Phab
kde.org/events now forwards to Phab calendar

rooty added a subscriber: rooty.Dec 6 2018, 12:16 AM

i dunno guys, i think the new design is a nice breath of fresh air tbh

favicon switched to the simple logo and I added back the turn-off-cookies functionality

Made https://phabricator.kde.org/T10159 to tack kde.org/applications rewrite

GB_2 added a comment.Dec 9 2018, 1:25 PM

The newest KDE Frameworks announcement (https://www.kde.org/announcements/kde-frameworks-5.53.0.php) still has the old KDE Logo and the old Qt logo.
I made an updated image:

raddison added a subscriber: raddison.EditedJan 7 2019, 11:48 AM

"Distributions with Plasma" is gone or I'm just too blind to see it?

It exists though https://community.kde.org/Distributions

Oh, Okay. https://www.kde.org/products/